<div class="profile-edit" *ngIf="profile$ | async as profile">
  <div class="title">Edit Profile</div>
  <label class="file" [formGroup]="form">
    <img
      id="profile"
      *ngIf="profile$"
      class="image"
      [src]="(url$ | async) ? (url$ | async) : profile.image ? getUrl(profile.image) : 'assets/images/no-image.png'"
    />
    <input formControlName="image" (change)="onSelectImage($event)" accept="image/*" type="file" />
  </label>
  <form novalidate="" [formGroup]="form" (ngSubmit)="onEditProfile(form)" class="form">
    <div class="grid wrap">
      <div class="left">
        <label class="label">First Name</label>
      </div>
      <div class="right">
        <input type="text" class="input" placeholder="First Name" formControlName="fname" />
        <div
          class="alert-danger"
          *ngIf="
            (!form.get('fname').valid && form.get('fname').touched) ||
            (form.get('fname').untouched && formSubmitAttempt)
          "
        >
          This field is required!
        </div>
      </div>
      <div class="left">
        <label class="label">Last Name</label>
      </div>
      <div class="right">
        <input type="text" class="input" placeholder="Last Name" formControlName="lname" />
        <div
          class="alert-danger"
          *ngIf="
            (!form.get('lname').valid && form.get('lname').touched) ||
            (form.get('lname').untouched && formSubmitAttempt)
          "
        >
          This field is required!
        </div>
      </div>
      <div class="left">
        <label class="label">Email address</label>
      </div>
      <div class="right">
        <input type="text" class="input" placeholder="Email" formControlName="email" readonly />
      </div>
      <div class="left">
        <label class="label">Username</label>
      </div>
      <div class="right">
        <input type="text" class="input" placeholder="Username" formControlName="username" />
        <div
          class="alert-danger"
          *ngIf="
            (!form.get('username').valid && form.get('username').touched) ||
            (form.get('username').untouched && formSubmitAttempt)
          "
        >
          This field is required!
        </div>
      </div>
      <div class="left">
        <label class="label">Country</label>
      </div>
      <div class="right">
        <ng-select
          placeholder="-- Select Country --"
          class="input custom"
          [items]="countries$ | async"
          bindLabel="country_name"
          bindValue="id"
          formControlName="country_id"
        ></ng-select>
        <div
          class="alert-danger"
          *ngIf="
            (!form.get('country_id').valid && form.get('country_id').touched) ||
            (form.get('country_id').untouched && formSubmitAttempt)
          "
        >
          This field is required!
        </div>
      </div>
      <div class="left">
        <label class="label">About you</label>
      </div>
      <div class="right">
        <textarea rows="4" class="input" formControlName="description"></textarea>
        <div
          class="alert-danger"
          *ngIf="
            (!form.get('description').valid && form.get('description').touched) ||
            (form.get('description').untouched && formSubmitAttempt)
          "
        >
          This field is required!
        </div>
      </div>
      <div class="left"></div>
      <div class="right">
        <button type="submit" class="primary button" [disabled]="!getSubmitButton()">
          Edit
        </button>
      </div>
    </div>
  </form>
</div>
